footer {
    background-color: var(--color-background);
    color: var(--color-text);
    padding: 40px 0;
    border-top: 1px solid var(--color-border);
    position: relative;
}

.sombra-escura {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    box-shadow: 0 -2px 10px -2px rgba(0, 0, 0, 0.2) !important;
}

.sombra-clara {
    border-top: 1px solid rgba(234, 234, 234, 0.5);
    box-shadow: 0 -2px 10px -2px rgba(234, 234, 234, 0.5) !important;
}


.footer-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
    display: flex;
    flex-direction: column;
}

.footer-top {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer-logo {
    display: flex;
    justify-content: left;
    border-bottom: 1px solid var(--color-border);
    padding-bottom: 20px;
}

.footer-logo img {
    display: block;
    max-width: 100%;
    height: 80px;
    padding: 15px;
}

.footer-links {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
    border-bottom: 1px solid var(--color-border);
    padding-bottom: 20px; /* Adicionar espaço abaixo dos links */
}

.footer-links-group {
    flex: 1;
    min-width: 150px;
}

.footer-links-group h4 {
    font-size: 1rem;
    margin-bottom: 10px;
    color: var(--color-text);
}

.footer-links-group ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: left; /* Alinhar submenus à esquerda */
}

.footer-links-group li {
    margin-bottom: 5px;
}

.footer-links-group a {
    color: var(--color-text-secondary);
    font-size: 0.875rem;
    transition: color 0.3s ease;
}

.footer-links-group a:hover {
    color: var(--color-text);
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 20px;
}

.footer-bottom-left {
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-size: 0.875rem; /* Ajuste do tamanho da fonte */
}

.social-icons {
    display: flex;
    gap: 10px;
    margin-bottom: 20px; /* Adicionar espaço abaixo dos ícones sociais */
}

.social-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 36px;
    height: 36px;
    background-color: var(--color-quaternary);
    border-radius: 50%;
    color: var(--color-hover-text);
    font-size: 1.2rem;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.social-icon:hover {
    background-color: var(--color-hover);
}

.footer-bottom-right {
    text-align: left;
    flex: 1;
    font-size: 0.875rem; /* Ajuste do tamanho da fonte */
}

.footer-bottom-right p {
    margin: 5px 0;
}

.footer-bottom-credit {
    text-align: right;
    font-size: 0.875rem; /* Ajuste do tamanho da fonte */
}

.footer-bottom-credit a {
    color: var(--color-text-secondary);
    text-decoration: none;
    position: relative;
}

.footer-bottom-credit a::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    bottom: -2px;
    left: 0;
    background-color: currentColor;
    visibility: hidden;
    transform: scaleX(0);
    transition: all 0.3s ease-in-out 0s;
}

.footer-bottom-credit a:hover::before {
    visibility: visible;
    transform: scaleX(1);
}

/* Responsivo */
@media (max-width: 768px) {
    .footer-top {
        flex-direction: column;
        text-align: center;
    }

    .footer-logo {
        justify-content: center; /* Centralizar o logo */
    }

    .footer-links {
        flex-direction: column;
        align-items: center;
    }

    .footer-links-group {
        width: 100%; /* Ocupa 100% da largura no mobile */
        text-align: left;
        margin-bottom: 20px;
    }

    .footer-links-group ul {
        padding-left: 0; /* Remove o espaçamento à esquerda */
        text-align: left; /* Alinha submenus à esquerda no mobile */
    }

    .social-icons {
        justify-content: center; /* Centralizar os ícones de redes sociais */
    }

    .footer-bottom {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .footer-bottom-left,
    .footer-bottom-right,
    .footer-bottom-credit {
        margin-bottom: 10px;
    }
}

/* Oculta o conteúdo dos links no rodapé por padrão no mobile */
.footer-content {
    display: block; /* Mantém o display como block */
    max-height: 0; /* Altura inicial zero */
    overflow: hidden; /* Evita conteúdo extra fora do contêiner */
    transition: max-height 0.3s ease; /* Animação suave na mudança de altura */
}

.footer-toggle {
    display: flex;
    justify-content: space-between; /* Mantém o título à esquerda e o ícone à direita */
    align-items: center;
    cursor: pointer;
/*    font-weight: bold;*/
    width: 100%; /* Garante que o título ocupe 100% da largura */
    padding: 10px 0; /* Espaçamento ao redor do título */
}

.footer-toggle i {
    margin-left: 10px; /* Espaçamento entre o texto e o ícone */
    transition: transform 0.3s ease;
}

.footer-toggle.active i {
    transform: rotate(180deg); /* Rotaciona a seta ao expandir */
}

/* No desktop, os conteúdos estarão sempre visíveis e sem o ícone */
@media (min-width: 768px) {
    .footer-content {
        max-height: none; /* Remove a limitação de altura */
    }

    .footer-toggle i {
        display: none; /* Oculta a seta no desktop */
    }

}

@media (max-width: 768px) {
    .footer-links-group {
        width: 100%; /* Coloca a largura das colunas como 100% no mobile */
        text-align: left;
    }

    .footer-toggle {
/*        border-bottom: 1px solid var(--color-border); /* Linha que divide os títulos no mobile */*/
    }

    .footer-links-group {
        text-align: center;
        margin-bottom: 0px !important;
    }

    /* Alinha submenus à esquerda no mobile */
    .footer-links-group ul {
        text-align: left;
        padding-left: 0;
    }
}